Ticket #802 (closed defect: upstream)

Opened 10 years ago

Last modified 10 years ago

paludis -i causing spontaneous glibc errors

Reported by: aw Owned by:
Priority: MinorRelease Milestone:
Component: clients/paludis Version: 0.42.0_alpha1
Keywords: sparc Cc:
Blocked By: Blocking:
Distribution: Gentoo

Description

Hey, folks.

paludis -i (and perhaps others) get me worrisome glibc exceptions on an Sun Enterprise 450 box (UltraSPARC). Output is attached.

Ah, and: no, this didn't begin with 0.42.0_alpha1, it also happened with 0.40.* (and perhaps earlier, don't remember exactly).

Attachments

paludis.txt Download (9.2 KB) - added by aw 10 years ago.
glibc backtrace
paludis-2009110101.txt Download (12.9 KB) - added by aw 10 years ago.
paludis-2009110401.txt Download (9.6 KB) - added by aw 10 years ago.

Change History

Changed 10 years ago by aw

glibc backtrace

comment:1 Changed 10 years ago by ciaranm

This is almost certainly toolchain or standard library related. What compiler?

comment:2 Changed 10 years ago by aw

[aw@franklin:~] gcc --version gcc (Gentoo 4.3.2-r3 p1.6, pie-10.1.5) 4.3.2 Copyright (C) 2008 Free Software Foundation, Inc. This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. [aw@franklin:~] /lib/libc.so.6 --version GNU C Library stable release version 2.9, by Roland McGrath? et al. Copyright (C) 2008 Free Software Foundation, Inc. This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. Compiled by GNU CC version 4.3.2. Compiled on a Linux >>2.6.30-gentoo-r4<< system on 2009-09-06. Available extensions:

C stubs add-on version 2.1.2 crypt add-on version 2.1 by Michael Glad and others Gentoo snapshot 20081201 Gentoo patchset 5 GNU Libidn by Simon Josefsson Native POSIX Threads Library by Ulrich Drepper et al Support for some architectures added on, not maintained in glibc core. BIND-8.2.3-T5B software FPU emulation by Richard Henderson, Jakub Jelinek and others

For bug reporting instructions, please see: < http://www.gnu.org/software/libc/bugs.html>. [aw@franklin:~] as --version GNU assembler (GNU Binutils) 2.18 Copyright 2007 Free Software Foundation, Inc. This program is free software; you may redistribute it under the terms of the GNU General Public License version 3 or later. This program has absolutely no warranty. This assembler was configured for a target of `sparc-unknown-linux-gnu'. [aw@franklin:~]

I hate that you can do this with glibc.

comment:3 Changed 10 years ago by aw

Ah, sorry, missed the code-block-braces.

comment:4 follow-up: ↓ 5 Changed 10 years ago by ciaranm

Does this always happen at exactly the same place?

comment:5 in reply to: ↑ 4 Changed 10 years ago by aw

Replying to ciaranm:

Does this always happen at exactly the same place?

No, sorry. That's also the cause for this very unprecise bug-report: It happens in an absolutely non-deterministic manner. I'm still monitoring this and could provide you with further backtraces, when they occur. If there should be any other way of providing more and better information, please tell me, I'm really willing to help to track this down.

comment:6 follow-up: ↓ 8 Changed 10 years ago by ciaranm

Can you try gcc 4.4.1 or later?

Changed 10 years ago by aw

comment:7 Changed 10 years ago by aw

And there it just happened again...

comment:8 in reply to: ↑ 6 ; follow-up: ↓ 9 Changed 10 years ago by aw

Replying to ciaranm:

Can you try gcc 4.4.1 or later?

Ooh... That's a server 260km away from me. But I'll try, yes.

comment:9 in reply to: ↑ 8 Changed 10 years ago by aw

Replying to aw:

Replying to ciaranm:

Can you try gcc 4.4.1 or later?

Ooh... That's a server 260km away from me. But I'll try, yes.

Hm, I just saw... gcc >=4.4 has KEYWORDS set to -sparc (due to Gentoo bug #283041). I'm gonna try installing this anyway and pray for not rendering the system completely unusable ;)

comment:10 Changed 10 years ago by aw

 http://xkcd.com/303/ Okay, gcc built; I'm now installing paludis-0.42.0

comment:11 Changed 10 years ago by aw

gcc (Gentoo 4.4.2 p1.0) 4.4.2 Okay I did it, but it took a while to reproduce. Unfortunately it did (see attachment)

Changed 10 years ago by aw

comment:12 Changed 10 years ago by ciaranm

 https://bugs.gentoo.org/show_bug.cgi?id=293527

Looks suspiciously similar...

comment:13 Changed 10 years ago by ciaranm

  • Status changed from new to closed
  • Resolution set to upstream

I'm assuming this is caused by the glibc bug. Please reopen if it isn't.

Note: See TracTickets for help on using tickets.